'use strict'

/**
 * This file overrides the default cozy webpack config to specify a custom react config.
 * This react config enables the use of TypeScript.
 *
 * @override node_modules/cozy-scripts/config/webpack.bundle.default.js
 */

const merge = require('webpack-merge')
const { target, addAnalyzer } = require('cozy-scripts/config/webpack.vars')

const configs = [
  require('cozy-scripts/config/webpack.config.base'),
  require('cozy-scripts/config/webpack.config.chunks'),
  //require('cozy-scripts/config/webpack.config.react'),
  require('./app.config.react'), // Override the react config
  require('cozy-scripts/config/webpack.config.cozy-ui'),
  require('cozy-scripts/config/webpack.config.cozy-ui.react'),
  require('cozy-scripts/config/webpack.config.intents'),
  require('cozy-scripts/config/webpack.config.public'),
  require('cozy-scripts/config/webpack.config.pictures'),
  require('cozy-scripts/config/webpack.config.vendors'),
  require('cozy-scripts/config/webpack.config.manifest'),
  require('cozy-scripts/config/webpack.config.progress'),
  addAnalyzer ? require('cozy-scripts/config/webpack.config.analyzer') : null,
  // require('cozy-scripts/config/webpack.config.services'),
  require('./app.config.services.alpha'), // Override the services config
  require(`cozy-scripts/config/webpack.target.${target}`),
]

configs.push(require('./app.config.environment.alpha'))

//module.exports = merge.apply(null, configs)
// eslint-disable-next-line prefer-spread
module.exports = [merge.apply(null, configs)] // cozy builder expects an array
