'use strict'

/**
 * This file overrides the default cozy webpack config to specify a custom react config.
 * This react config enables the use of TypeScript.
 *
 * @override node_modules/cozy-scripts/config/webpack.bundle.default.js
 */

const merge = require('webpack-merge')
const {
  environment,
  target,
  addAnalyzer,
} = require('cozy-scripts/config/webpack.vars')

const configs = [
  require('cozy-scripts/config/webpack.config.base'),
  require('cozy-scripts/config/webpack.config.chunks'),
  require('./app.config.react'), // Override the react config
  require('cozy-scripts/config/webpack.config.cozy-ui'),
  require('cozy-scripts/config/webpack.config.cozy-ui.react'),
  require('cozy-scripts/config/webpack.config.intents'),
  require('cozy-scripts/config/webpack.config.public'),
  require('cozy-scripts/config/webpack.config.pictures'),
  require('cozy-scripts/config/webpack.config.vendors'),
  require('cozy-scripts/config/webpack.config.manifest'),
  require('cozy-scripts/config/webpack.config.progress'),
  addAnalyzer ? require('cozy-scripts/config/webpack.config.analyzer') : null,
  require('./app.config.services'), // Override the services config
  require(`cozy-scripts/config/webpack.target.${target}`),
]

if (environment === 'production') {
  configs.push(require('./app.config.environment.prod'))
} else {
  configs.push(require('./app.config.environment.dev'))
}

//module.exports = merge.apply(null, configs)
// eslint-disable-next-line prefer-spread
module.exports = [merge.apply(null, configs)] // cozy builder expects an array
