import Icon from 'cozy-ui/transpiled/react/Icon'
import React from 'react'

interface StyledIconProps {
  className?: string
  icon: string
  ariaHidden?: boolean
  size?: number
  role?: string
  title?: string
}

const StyledIcon: React.FC<StyledIconProps> = ({
  icon,
  ariaHidden = true,
  size = 16,
  ...props
}: StyledIconProps) => (
  <Icon aria-hidden={ariaHidden} icon={icon} size={size} {...props} />
)

export default StyledIcon
