import React from 'react'
import { withStyles } from '@material-ui/core/styles'
import IconButton, { IconButtonProps } from '@material-ui/core/IconButton'
import StyledIconProps from 'components/CommonKit/Icon/StyledIcon'

const IconButtonBase = withStyles({
  root: {
    outline: 'none !important',
  },
})(IconButton) as React.FC<IconButtonProps>

interface StyledIconButtonProps extends IconButtonProps {
  icon: string
  sized?: number
}

const StyledIconButton: React.FC<StyledIconButtonProps> = ({
  icon,
  sized = 16,
  ...props
}: StyledIconButtonProps) => {
  return (
    <IconButtonBase {...props}>
      <StyledIconProps icon={icon} size={sized} />
    </IconButtonBase>
  )
}

export default StyledIconButton
