/* eslint-disable react/display-name */
import React from 'react'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import { waitForComponentToPaint } from '../../../tests/__mocks__/testUtils'
import EquipmentIcon from './EquipmentIcon'
import { EquipmentType } from 'enum/ecogesture.enum'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockImportIconbyId = jest.fn()
jest.mock('utils/utils', () => {
  return {
    importIconbyId: jest.fn(() => {
      return mockImportIconbyId
    }),
  }
})
describe('EcogestureFormSingleChoice component', () => {
  it('should be rendered correctly', async () => {
    mockImportIconbyId.mockReturnValue('')
    const wrapper = mount(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={false} />
    )
    await waitForComponentToPaint(wrapper)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should render checked icon', async () => {
    mockImportIconbyId.mockReturnValue('')
    const wrapper = mount(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={true} />
    )
    await waitForComponentToPaint(wrapper)
    expect(wrapper.find('.checked').first().exists()).toBeTruthy()
  })
})
