import React from 'react'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import EcogestureSelectionEnd from './EcogestureSelectionEnd'
import { Button } from '@material-ui/core'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockHistoryPush = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useHistory: () => ({
    push: mockHistoryPush,
  }),
}))

describe('EcogestureSelectionEnd component', () => {
  beforeEach(() => {
    mockHistoryPush.mockClear()
  })

  it('should be rendered correctly', () => {
    const wrapper = mount(<EcogestureSelectionEnd />)
    expect(toJson(wrapper)).toMatchSnapshot()
  })

  it('should close modal and update profile', () => {
    const wrapper = mount(<EcogestureSelectionEnd />)
    wrapper.find(Button).simulate('click')
    expect(mockHistoryPush).toHaveBeenCalledWith('/ecogestures?tab=0')
  })
})
