import React, { useCallback } from 'react'
import './ecogestureSelectionEnd.scss'
import { useHistory } from 'react-router-dom'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import icon from 'assets/icons/visu/profileType/finish.svg'
import { Button } from '@material-ui/core'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'

const EcogestureSelectionEnd: React.FC = () => {
  const { t } = useI18n()
  const history = useHistory()

  const goToObjectives = useCallback(() => {
    history.push('/ecogestures?tab=0')
  }, [history])
  return (
    <div className="eg-selection-end-container">
      <div className="content">
        <div className="title text-28-bold">
          {t('ecogesture_selection.title_final')}
        </div>
        <StyledIcon icon={icon} size={120} />
        <div className="text text-16-normal">
          {t('ecogesture_selection.text_final_1')}
        </div>
        <div className="text text-16-normal">
          {t('ecogesture_selection.text_final_2')}
        </div>
      </div>
      <div className="buttons">
        <Button
          aria-label={t('ecogesture_selection.accessibility.button_ok')}
          classes={{
            root: 'btn-highlight',
            label: 'text-16-bold',
          }}
          onClick={goToObjectives}
        >
          {t('ecogesture_selection.button_ok')}
        </Button>
      </div>
    </div>
  )
}

export default EcogestureSelectionEnd
