import React, { useCallback } from 'react'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import { useHistory } from 'react-router-dom'
import './explorationError.scss'
import Button from '@material-ui/core/Button'

const ExplorationError: React.FC = () => {
  const { t } = useI18n()
  const history = useHistory()

  const goBack = useCallback(() => {
    history.goBack()
  }, [history])

  return (
    <div className="exploration-error-container">
      <div className="exploration-error-message">
        {t('exploration.global_error')}
      </div>
      <div className="exploration-error-button">
        <Button
          aria-label={t('exploration.accessibility.button_go_back')}
          onClick={goBack}
          classes={{
            root: 'btn-secondary-negative',
            label: 'text-16-normal',
          }}
        >
          {t('exploration.button_go_back')}
        </Button>
      </div>
    </div>
  )
}

export default ExplorationError
