import React from 'react'
import { mount } from 'enzyme'
import { Provider } from 'react-redux'
import {
  createMockStore,
  mockInitialEcolyoState,
} from '../../../tests/__mocks__/store'

import FluidButtons from './FluidButtons'
import { FluidType } from 'enum/fluid.enum'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('FluidButtons component', () => {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  let store: any
  beforeEach(() => {
    store = createMockStore(mockInitialEcolyoState)
  })

  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <FluidButtons activeFluid={FluidType.ELECTRICITY} />
      </Provider>
    ).getElement()
    expect(wrapper).toMatchSnapshot()
  })
})
