import ExportOptions from 'components/Options/exportOptions'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import mockClient from '../../../tests/__mocks__/client'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
jest.mock('services/consumption.service', () => {
  return jest.fn(() => {
    return {
      fetchAllFirstDateData: jest.fn(() => {
        return [null, null, null]
      }),
    }
  })
})

jest.mock('cozy-client', () => ({
  useClient: () => mockClient,
}))

describe('exportOptions component', () => {
  it('should be rendered correctly', async () => {
    const wrapper = mount(<ExportOptions />)
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
