import React from 'react'
import { shallow } from 'enzyme'
import toJson from 'enzyme-to-json'
import StepDetail from 'components/PartnerConnectionStepsModal/StepDetail'
import { electricitySteps } from '../../../tests/__mocks__/stepsData.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: () => {
      return {
        t: (str: string) => str,
      }
    },
  }
})

describe('StepDetail component', () => {
  it('should be rendered correctly', () => {
    const step = electricitySteps[0]
    const component = shallow(<StepDetail step={step} />)
    expect(toJson(component)).toMatchSnapshot()
  })

  it('should not display info2 if empty', () => {
    const step = electricitySteps[0]
    step.info2 = ''
    const component = shallow(<StepDetail step={step} />)
    expect(toJson(component)).toMatchSnapshot()
  })
})
