import React from 'react'
import './stepDetail.scss'
import { Step } from 'models/step.model'
import { decoreText } from 'utils/decoreText'
import Icon from 'cozy-ui/transpiled/react/Icon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'

interface StepDetailProps {
  step: Step
}

const StepDetail = ({ step }: StepDetailProps) => {
  const { t } = useI18n()
  const info1: string = t(step.info1)
  const info2: string = t(step.info2)
  return (
    <div className="step-detail-info">
      <Icon className="info-icon" icon={step.icon} size={222} />
      <div className="info-content text-18-normal">
        <div className="info-content-text">{decoreText(info1)}</div>
        {info2.length > 0 && (
          <div className="info-content-text">{decoreText(info2)}</div>
        )}
      </div>
    </div>
  )
}

export default StepDetail
