import React from 'react'
import { Provider } from 'react-redux'
import { mount } from 'enzyme'
import {
  createMockStore,
  mockInitialEcolyoState,
} from '../../../tests/__mocks__/store'
import ProfileTypeFormSingleChoice from './ProfileTypeFormSingleChoice'
import { ProfileTypeStepForm } from 'enum/profileType.enum'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from '../../../tests/__mocks__/profileType.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('ProfileTypeFormSingleChoice component', () => {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  let store: any
  beforeEach(() => {
    store = createMockStore(mockInitialEcolyoState)
  })

  it('should be rendered correctly', () => {
    const mockhandlePrevious = jest.fn()
    const mockhandleNext = jest.fn()
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeFormSingleChoice
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          profileType={mockProfileType}
          answerType={mockProfileTypeAnswers[1]}
          setNextStep={mockhandlePrevious}
          setPrevioustStep={mockhandleNext}
          isProfileTypeComplete={false}
        />
      </Provider>
    )
    expect(wrapper.find('input')).toBeTruthy()
  })
})
