import { Reducer } from 'redux'
import {
  UPDATE_MODAL_ISFEEDBACKSOPEN,
  ModalActionTypes,
} from 'store/modal/modal.actions'
import { ModalState } from 'models'

const initialState: ModalState = {
  isFeedbacksOpen: false,
}

export const modalReducer: Reducer<ModalState> = (
  state = initialState,
  action: ModalActionTypes
): ModalState => {
  switch (action.type) {
    case UPDATE_MODAL_ISFEEDBACKSOPEN:
      const isOpen =
        action.payload != undefined ? action.payload : state.isFeedbacksOpen
      return {
        ...state,
        isFeedbacksOpen: isOpen,
      }
    default:
      return state
  }
}
