import { Reducer } from 'redux'
import { IndividualOrCollective, WarmingType } from 'enum/profileType.enum'
import { ProfileEcogesture } from 'models/profileEcogesture.model'
import {
  CREATE_NEW_PROFILEECOGESTURE,
  ProfileEcogestureActionTypes,
  UPDATE_PROFILEECOGESTURE,
} from './profileEcogesture.actions'

const initialState: ProfileEcogesture = {
  heating: IndividualOrCollective.INDIVIDUAL,
  warmingFluid: WarmingType.ELECTRICITY,
  hotWater: IndividualOrCollective.INDIVIDUAL,
  equipments: [],
}

export const profileEcogestureReducer: Reducer<ProfileEcogesture> = (
  state = initialState,
  action: ProfileEcogestureActionTypes
): ProfileEcogesture => {
  switch (action.type) {
    case UPDATE_PROFILEECOGESTURE:
    case CREATE_NEW_PROFILEECOGESTURE:
      return {
        ...state,
        ...action.payload,
      }
    default:
      return state
  }
}
