import React from 'react'

export const decoreText = (line: string, action?: () => void) => {
  if (line.includes('<a href="')) {
    const indexRefStart = line.indexOf('<a href="')
    const indexRefEnd = line.indexOf('">')
    const indexEnd = line.indexOf('</a>')
    return (
      <>
        {line.substring(0, indexRefStart)}
        <a
          href={line.substring(indexRefStart + 9, indexRefEnd)}
          target="_blank"
          rel="noopener noreferrer"
        >
          {line.substring(indexRefEnd + 2, indexEnd)}
        </a>
        {line.substring(indexEnd + 4, line.length)}
      </>
    )
  } else if (line.includes('<p>')) {
    const indexStart = line.indexOf('<p>')
    const indexEnd = line.indexOf('</p>')
    return (
      <>
        {line.substring(0, indexStart)}
        <p>{line.substring(indexStart + 3, indexEnd)}</p>
        {line.substring(indexEnd + 4, line.length)}
      </>
    )
  } else if (line.includes('<span>')) {
    const indexStart = line.indexOf('<span>')
    const indexEnd = line.indexOf('</span>')
    return (
      <>
        {line.substring(0, indexStart)}
        <span>{line.substring(indexStart + 6, indexEnd)}</span>
        {line.substring(indexEnd + 7, line.length)}
      </>
    )
  } else if (line.includes('<span class="action">')) {
    const indexStart = line.indexOf('<span class="action">')
    const indexEnd = line.indexOf('</span>')
    return (
      <>
        {line.substring(0, indexStart)}
        <button className="action" onClick={action}>
          {line.substring(indexStart + 21, indexEnd)}
        </button>
        {line.substring(indexEnd + 7, line.length)}
      </>
    )
  } else {
    return line
  }
}
