import { FluidState, FluidType } from 'enum/fluid.enum'
import { FluidSlugType } from 'enum/fluidSlug.enum'
import { ScreenType } from 'enum/screen.enum'
import { GlobalState } from 'models'

export const globalStateData: GlobalState = {
  screenType: ScreenType.MOBILE,
  releaseNotes: {
    show: false,
    notes: [],
  },
  challengeExplorationNotification: false,
  challengeActionNotification: false,
  challengeDuelNotification: false,
  analysisNotification: false,
  termsStatus: {
    accepted: false,
    versionType: 'major',
  },
  openPartnersIssueModal: {
    enedis: false,
    egl: false,
    grdf: false,
  },
  fluidStatus: [
    {
      fluidType: FluidType.ELECTRICITY,
      status: FluidState.KONNECTOR_NOT_FOUND,
      maintenance: false,
      firstDataDate: null,
      lastDataDate: null,
      connection: {
        shouldLaunchKonnector: false,
        isUpdating: false,
        konnector: null,
        account: null,
        trigger: null,
        triggerState: null,
        konnectorConfig: {
          name: '',
          oauth: false,
          slug: FluidSlugType.ELECTRICITY,
          siteLink: '',
          activation: '',
        },
      },
    },
    {
      fluidType: FluidType.WATER,
      status: FluidState.KONNECTOR_NOT_FOUND,
      maintenance: false,
      firstDataDate: null,
      lastDataDate: null,
      connection: {
        shouldLaunchKonnector: false,
        isUpdating: false,
        konnector: null,
        account: null,
        trigger: null,
        triggerState: null,
        konnectorConfig: {
          name: '',
          oauth: false,
          slug: FluidSlugType.WATER,
          siteLink: '',
          activation: '',
        },
      },
    },
    {
      fluidType: FluidType.GAS,
      status: FluidState.KONNECTOR_NOT_FOUND,
      maintenance: false,
      firstDataDate: null,
      lastDataDate: null,
      connection: {
        shouldLaunchKonnector: false,
        isUpdating: false,
        konnector: null,
        account: null,
        trigger: null,
        triggerState: null,
        konnectorConfig: {
          name: '',
          oauth: false,
          slug: FluidSlugType.GAS,
          siteLink: '',
          activation: '',
        },
      },
    },
  ],
  fluidTypes: [],
  shouldRefreshConsent: false,
  sgeConnect: {
    currentStep: 0,
    firstName: '',
    lastName: '',
    pdl: null,
    address: '',
    zipCode: null,
    city: '',
    dataConsent: false,
    pdlConfirm: false,
    shouldLaunchAccount: false,
    openSGEForm: false,
  },
  customPopupModal: {
    title: '',
    description: '',
    popupEnabled: false,
    endDate: '',
  },
}
