require('babel-polyfill')
require('jest-canvas-mock')

import { configure } from 'enzyme'
import Adapter from 'enzyme-adapter-react-16'

configure({ adapter: new Adapter() })

// polyfill for requestAnimationFrame
/* istanbul ignore next */
global.requestAnimationFrame = cb => {
  setTimeout(cb, 0)
}

global.cozy = {
  bar: {
    BarLeft: ({ children }) => children,
    BarRight: ({ children }) => children,
    BarCenter: ({ children }) => children,
    setTheme: () => null,
  },
}

Object.defineProperty(window, 'getComputedStyle', {
  value: () => ({
    getPropertyValue: prop => {
      switch (prop) {
        case '--blue':
          return '#58ffff'
        case '--greyDark':
          return '#7b7b7b'
        default:
          return '#FFFFFF'
      }
    },
  }),
})
